1# Makefile.in generated by automake 1.11.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6# Inc.
7# This Makefile.in is free software; the Free Software Foundation
8# gives unlimited permission to copy and/or distribute it,
9# with or without modifications, as long as this notice is preserved.
10
11# This program is distributed in the hope that it will be useful,
12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14# PARTICULAR PURPOSE.
15
16@SET_MAKE@
17
18VPATH = @srcdir@
19pkgdatadir = $(datadir)/@PACKAGE@
20pkgincludedir = $(includedir)/@PACKAGE@
21pkglibdir = $(libdir)/@PACKAGE@
22pkglibexecdir = $(libexecdir)/@PACKAGE@
23am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
24install_sh_DATA = $(install_sh) -c -m 644
25install_sh_PROGRAM = $(install_sh) -c
26install_sh_SCRIPT = $(install_sh) -c
27INSTALL_HEADER = $(INSTALL_DATA)
28transform = $(program_transform_name)
29NORMAL_INSTALL = :
30PRE_INSTALL = :
31POST_INSTALL = :
32NORMAL_UNINSTALL = :
33PRE_UNINSTALL = :
34POST_UNINSTALL = :
35bin_PROGRAMS = aaphoto$(EXEEXT)
36subdir = .
37DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
38	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
39	$(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
40	TODO depcomp install-sh missing
41ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
42am__aclocal_m4_deps = $(top_srcdir)/configure.ac
43am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
44	$(ACLOCAL_M4)
45am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
46 configure.lineno config.status.lineno
47mkinstalldirs = $(install_sh) -d
48CONFIG_HEADER = config.h
49CONFIG_CLEAN_FILES =
50CONFIG_CLEAN_VPATH_FILES =
51am__installdirs = "$(DESTDIR)$(bindir)"
52PROGRAMS = $(bin_PROGRAMS)
53am_aaphoto_OBJECTS = aaphoto.$(OBJEXT)
54aaphoto_OBJECTS = $(am_aaphoto_OBJECTS)
55aaphoto_LDADD = $(LDADD)
56DEFAULT_INCLUDES = -I.@am__isrc@
57depcomp = $(SHELL) $(top_srcdir)/depcomp
58am__depfiles_maybe = depfiles
59am__mv = mv -f
60COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
61	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
62CCLD = $(CC)
63LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
64SOURCES = $(aaphoto_SOURCES)
65DIST_SOURCES = $(aaphoto_SOURCES)
66ETAGS = etags
67CTAGS = ctags
68DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
69distdir = $(PACKAGE)-$(VERSION)
70top_distdir = $(distdir)
71am__remove_distdir = \
72  { test ! -d "$(distdir)" \
73    || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
74         && rm -fr "$(distdir)"; }; }
75DIST_ARCHIVES = $(distdir).tar.gz
76GZIP_ENV = --best
77distuninstallcheck_listfiles = find . -type f -print
78distcleancheck_listfiles = find . -type f -print
79ACLOCAL = @ACLOCAL@
80AMTAR = @AMTAR@
81AUTOCONF = @AUTOCONF@
82AUTOHEADER = @AUTOHEADER@
83AUTOMAKE = @AUTOMAKE@
84AWK = @AWK@
85CC = @CC@
86CCDEPMODE = @CCDEPMODE@
87CFLAGS = @CFLAGS@
88CPP = @CPP@
89CPPFLAGS = @CPPFLAGS@
90CYGPATH_W = @CYGPATH_W@
91DEFS = @DEFS@
92DEPDIR = @DEPDIR@
93ECHO_C = @ECHO_C@
94ECHO_N = @ECHO_N@
95ECHO_T = @ECHO_T@
96EGREP = @EGREP@
97EXEEXT = @EXEEXT@
98GREP = @GREP@
99INSTALL = @INSTALL@
100INSTALL_DATA = @INSTALL_DATA@
101INSTALL_PROGRAM = @INSTALL_PROGRAM@
102INSTALL_SCRIPT = @INSTALL_SCRIPT@
103INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
104LDFLAGS = @LDFLAGS@
105LIBOBJS = @LIBOBJS@
106LIBS = @LIBS@
107LTLIBOBJS = @LTLIBOBJS@
108MAKEINFO = @MAKEINFO@
109MKDIR_P = @MKDIR_P@
110OBJEXT = @OBJEXT@
111PACKAGE = @PACKAGE@
112PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
113PACKAGE_NAME = @PACKAGE_NAME@
114PACKAGE_STRING = @PACKAGE_STRING@
115PACKAGE_TARNAME = @PACKAGE_TARNAME@
116PACKAGE_URL = @PACKAGE_URL@
117PACKAGE_VERSION = @PACKAGE_VERSION@
118PATH_SEPARATOR = @PATH_SEPARATOR@
119SET_MAKE = @SET_MAKE@
120SHELL = @SHELL@
121STRIP = @STRIP@
122VERSION = @VERSION@
123abs_builddir = @abs_builddir@
124abs_srcdir = @abs_srcdir@
125abs_top_builddir = @abs_top_builddir@
126abs_top_srcdir = @abs_top_srcdir@
127ac_ct_CC = @ac_ct_CC@
128am__include = @am__include@
129am__leading_dot = @am__leading_dot@
130am__quote = @am__quote@
131am__tar = @am__tar@
132am__untar = @am__untar@
133bindir = @bindir@
134build_alias = @build_alias@
135builddir = @builddir@
136datadir = @datadir@
137datarootdir = @datarootdir@
138docdir = @docdir@
139dvidir = @dvidir@
140exec_prefix = @exec_prefix@
141host_alias = @host_alias@
142htmldir = @htmldir@
143includedir = @includedir@
144infodir = @infodir@
145install_sh = @install_sh@
146libdir = @libdir@
147libexecdir = @libexecdir@
148localedir = @localedir@
149localstatedir = @localstatedir@
150mandir = @mandir@
151mkdir_p = @mkdir_p@
152oldincludedir = @oldincludedir@
153pdfdir = @pdfdir@
154prefix = @prefix@
155program_transform_name = @program_transform_name@
156psdir = @psdir@
157sbindir = @sbindir@
158sharedstatedir = @sharedstatedir@
159srcdir = @srcdir@
160sysconfdir = @sysconfdir@
161target_alias = @target_alias@
162top_build_prefix = @top_build_prefix@
163top_builddir = @top_builddir@
164top_srcdir = @top_srcdir@
165AM_CFLAGS = -Wall
166AM_LDFLAGS = -ljasper -ljpeg -lpng -lm
167aaphoto_SOURCES = aaphoto.c
168INCLUDES =
169all: config.h
170	$(MAKE) $(AM_MAKEFLAGS) all-am
171
172.SUFFIXES:
173.SUFFIXES: .c .o .obj
174am--refresh:
175	@:
176$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
177	@for dep in $?; do \
178	  case '$(am__configure_deps)' in \
179	    *$$dep*) \
180	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
181	      $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
182		&& exit 0; \
183	      exit 1;; \
184	  esac; \
185	done; \
186	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
187	$(am__cd) $(top_srcdir) && \
188	  $(AUTOMAKE) --gnu Makefile
189.PRECIOUS: Makefile
190Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
191	@case '$?' in \
192	  *config.status*) \
193	    echo ' $(SHELL) ./config.status'; \
194	    $(SHELL) ./config.status;; \
195	  *) \
196	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
197	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
198	esac;
199
200$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
201	$(SHELL) ./config.status --recheck
202
203$(top_srcdir)/configure:  $(am__configure_deps)
204	$(am__cd) $(srcdir) && $(AUTOCONF)
205$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
206	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
207$(am__aclocal_m4_deps):
208
209config.h: stamp-h1
210	@if test ! -f $@; then \
211	  rm -f stamp-h1; \
212	  $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
213	else :; fi
214
215stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
216	@rm -f stamp-h1
217	cd $(top_builddir) && $(SHELL) ./config.status config.h
218$(srcdir)/config.h.in:  $(am__configure_deps)
219	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
220	rm -f stamp-h1
221	touch $@
222
223distclean-hdr:
224	-rm -f config.h stamp-h1
225install-binPROGRAMS: $(bin_PROGRAMS)
226	@$(NORMAL_INSTALL)
227	test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
228	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
229	for p in $$list; do echo "$$p $$p"; done | \
230	sed 's/$(EXEEXT)$$//' | \
231	while read p p1; do if test -f $$p; \
232	  then echo "$$p"; echo "$$p"; else :; fi; \
233	done | \
234	sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
235	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
236	sed 'N;N;N;s,\n, ,g' | \
237	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
238	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
239	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
240	    else { print "f", $$3 "/" $$4, $$1; } } \
241	  END { for (d in files) print "f", d, files[d] }' | \
242	while read type dir files; do \
243	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
244	    test -z "$$files" || { \
245	      echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
246	      $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
247	    } \
248	; done
249
250uninstall-binPROGRAMS:
251	@$(NORMAL_UNINSTALL)
252	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
253	files=`for p in $$list; do echo "$$p"; done | \
254	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
255	      -e 's/$$/$(EXEEXT)/' `; \
256	test -n "$$list" || exit 0; \
257	echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
258	cd "$(DESTDIR)$(bindir)" && rm -f $$files
259
260clean-binPROGRAMS:
261	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
262aaphoto$(EXEEXT): $(aaphoto_OBJECTS) $(aaphoto_DEPENDENCIES)
263	@rm -f aaphoto$(EXEEXT)
264	$(LINK) $(aaphoto_OBJECTS) $(aaphoto_LDADD) $(LIBS)
265
266mostlyclean-compile:
267	-rm -f *.$(OBJEXT)
268
269distclean-compile:
270	-rm -f *.tab.c
271
272@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/aaphoto.Po@am__quote@
273
274.c.o:
275@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
276@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
277@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
278@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
279@am__fastdepCC_FALSE@	$(COMPILE) -c $<
280
281.c.obj:
282@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
283@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
284@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
285@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
286@am__fastdepCC_FALSE@	$(COMPILE) -c `$(CYGPATH_W) '$<'`
287
288ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
289	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
290	unique=`for i in $$list; do \
291	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
292	  done | \
293	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
294	      END { if (nonempty) { for (i in files) print i; }; }'`; \
295	mkid -fID $$unique
296tags: TAGS
297
298TAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
299		$(TAGS_FILES) $(LISP)
300	set x; \
301	here=`pwd`; \
302	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
303	unique=`for i in $$list; do \
304	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
305	  done | \
306	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
307	      END { if (nonempty) { for (i in files) print i; }; }'`; \
308	shift; \
309	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
310	  test -n "$$unique" || unique=$$empty_fix; \
311	  if test $$# -gt 0; then \
312	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
313	      "$$@" $$unique; \
314	  else \
315	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
316	      $$unique; \
317	  fi; \
318	fi
319ctags: CTAGS
320CTAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
321		$(TAGS_FILES) $(LISP)
322	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
323	unique=`for i in $$list; do \
324	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
325	  done | \
326	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
327	      END { if (nonempty) { for (i in files) print i; }; }'`; \
328	test -z "$(CTAGS_ARGS)$$unique" \
329	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
330	     $$unique
331
332GTAGS:
333	here=`$(am__cd) $(top_builddir) && pwd` \
334	  && $(am__cd) $(top_srcdir) \
335	  && gtags -i $(GTAGS_ARGS) "$$here"
336
337distclean-tags:
338	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
339
340distdir: $(DISTFILES)
341	$(am__remove_distdir)
342	test -d "$(distdir)" || mkdir "$(distdir)"
343	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
344	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
345	list='$(DISTFILES)'; \
346	  dist_files=`for file in $$list; do echo $$file; done | \
347	  sed -e "s|^$$srcdirstrip/||;t" \
348	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
349	case $$dist_files in \
350	  */*) $(MKDIR_P) `echo "$$dist_files" | \
351			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
352			   sort -u` ;; \
353	esac; \
354	for file in $$dist_files; do \
355	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
356	  if test -d $$d/$$file; then \
357	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
358	    if test -d "$(distdir)/$$file"; then \
359	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
360	    fi; \
361	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
362	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
363	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
364	    fi; \
365	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
366	  else \
367	    test -f "$(distdir)/$$file" \
368	    || cp -p $$d/$$file "$(distdir)/$$file" \
369	    || exit 1; \
370	  fi; \
371	done
372	-test -n "$(am__skip_mode_fix)" \
373	|| find "$(distdir)" -type d ! -perm -755 \
374		-exec chmod u+rwx,go+rx {} \; -o \
375	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
376	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
377	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
378	|| chmod -R a+r "$(distdir)"
379dist-gzip: distdir
380	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
381	$(am__remove_distdir)
382
383dist-bzip2: distdir
384	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
385	$(am__remove_distdir)
386
387dist-lzma: distdir
388	tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
389	$(am__remove_distdir)
390
391dist-xz: distdir
392	tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
393	$(am__remove_distdir)
394
395dist-tarZ: distdir
396	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
397	$(am__remove_distdir)
398
399dist-shar: distdir
400	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
401	$(am__remove_distdir)
402
403dist-zip: distdir
404	-rm -f $(distdir).zip
405	zip -rq $(distdir).zip $(distdir)
406	$(am__remove_distdir)
407
408dist dist-all: distdir
409	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
410	$(am__remove_distdir)
411
412# This target untars the dist file and tries a VPATH configuration.  Then
413# it guarantees that the distribution is self-contained by making another
414# tarfile.
415distcheck: dist
416	case '$(DIST_ARCHIVES)' in \
417	*.tar.gz*) \
418	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
419	*.tar.bz2*) \
420	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
421	*.tar.lzma*) \
422	  lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
423	*.tar.xz*) \
424	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
425	*.tar.Z*) \
426	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
427	*.shar.gz*) \
428	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
429	*.zip*) \
430	  unzip $(distdir).zip ;;\
431	esac
432	chmod -R a-w $(distdir); chmod a+w $(distdir)
433	mkdir $(distdir)/_build
434	mkdir $(distdir)/_inst
435	chmod a-w $(distdir)
436	test -d $(distdir)/_build || exit 0; \
437	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
438	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
439	  && am__cwd=`pwd` \
440	  && $(am__cd) $(distdir)/_build \
441	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
442	    $(DISTCHECK_CONFIGURE_FLAGS) \
443	  && $(MAKE) $(AM_MAKEFLAGS) \
444	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
445	  && $(MAKE) $(AM_MAKEFLAGS) check \
446	  && $(MAKE) $(AM_MAKEFLAGS) install \
447	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
448	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
449	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
450	        distuninstallcheck \
451	  && chmod -R a-w "$$dc_install_base" \
452	  && ({ \
453	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
454	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
455	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
456	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
457	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
458	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
459	  && rm -rf "$$dc_destdir" \
460	  && $(MAKE) $(AM_MAKEFLAGS) dist \
461	  && rm -rf $(DIST_ARCHIVES) \
462	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
463	  && cd "$$am__cwd" \
464	  || exit 1
465	$(am__remove_distdir)
466	@(echo "$(distdir) archives ready for distribution: "; \
467	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
468	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
469distuninstallcheck:
470	@$(am__cd) '$(distuninstallcheck_dir)' \
471	&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
472	   || { echo "ERROR: files left after uninstall:" ; \
473	        if test -n "$(DESTDIR)"; then \
474	          echo "  (check DESTDIR support)"; \
475	        fi ; \
476	        $(distuninstallcheck_listfiles) ; \
477	        exit 1; } >&2
478distcleancheck: distclean
479	@if test '$(srcdir)' = . ; then \
480	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
481	  exit 1 ; \
482	fi
483	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
484	  || { echo "ERROR: files left in build directory after distclean:" ; \
485	       $(distcleancheck_listfiles) ; \
486	       exit 1; } >&2
487check-am: all-am
488check: check-am
489all-am: Makefile $(PROGRAMS) config.h
490installdirs:
491	for dir in "$(DESTDIR)$(bindir)"; do \
492	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
493	done
494install: install-am
495install-exec: install-exec-am
496install-data: install-data-am
497uninstall: uninstall-am
498
499install-am: all-am
500	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
501
502installcheck: installcheck-am
503install-strip:
504	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
505	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
506	  `test -z '$(STRIP)' || \
507	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
508mostlyclean-generic:
509
510clean-generic:
511
512distclean-generic:
513	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
514	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
515
516maintainer-clean-generic:
517	@echo "This command is intended for maintainers to use"
518	@echo "it deletes files that may require special tools to rebuild."
519clean: clean-am
520
521clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
522
523distclean: distclean-am
524	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
525	-rm -rf ./$(DEPDIR)
526	-rm -f Makefile
527distclean-am: clean-am distclean-compile distclean-generic \
528	distclean-hdr distclean-tags
529
530dvi: dvi-am
531
532dvi-am:
533
534html: html-am
535
536html-am:
537
538info: info-am
539
540info-am:
541
542install-data-am:
543
544install-dvi: install-dvi-am
545
546install-dvi-am:
547
548install-exec-am: install-binPROGRAMS
549
550install-html: install-html-am
551
552install-html-am:
553
554install-info: install-info-am
555
556install-info-am:
557
558install-man:
559
560install-pdf: install-pdf-am
561
562install-pdf-am:
563
564install-ps: install-ps-am
565
566install-ps-am:
567
568installcheck-am:
569
570maintainer-clean: maintainer-clean-am
571	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
572	-rm -rf $(top_srcdir)/autom4te.cache
573	-rm -rf ./$(DEPDIR)
574	-rm -f Makefile
575maintainer-clean-am: distclean-am maintainer-clean-generic
576
577mostlyclean: mostlyclean-am
578
579mostlyclean-am: mostlyclean-compile mostlyclean-generic
580
581pdf: pdf-am
582
583pdf-am:
584
585ps: ps-am
586
587ps-am:
588
589uninstall-am: uninstall-binPROGRAMS
590
591.MAKE: all install-am install-strip
592
593.PHONY: CTAGS GTAGS all all-am am--refresh check check-am clean \
594	clean-binPROGRAMS clean-generic ctags dist dist-all dist-bzip2 \
595	dist-gzip dist-lzma dist-shar dist-tarZ dist-xz dist-zip \
596	distcheck distclean distclean-compile distclean-generic \
597	distclean-hdr distclean-tags distcleancheck distdir \
598	distuninstallcheck dvi dvi-am html html-am info info-am \
599	install install-am install-binPROGRAMS install-data \
600	install-data-am install-dvi install-dvi-am install-exec \
601	install-exec-am install-html install-html-am install-info \
602	install-info-am install-man install-pdf install-pdf-am \
603	install-ps install-ps-am install-strip installcheck \
604	installcheck-am installdirs maintainer-clean \
605	maintainer-clean-generic mostlyclean mostlyclean-compile \
606	mostlyclean-generic pdf pdf-am ps ps-am tags uninstall \
607	uninstall-am uninstall-binPROGRAMS
608
609
610# Tell versions [3.59,3.63) of GNU make to not export all variables.
611# Otherwise a system limit (for SysV at least) may be exceeded.
612.NOEXPORT:
613